package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumPosSceneType {

    VERIFY(0,"核销"),
    PAY(1,"支付")
    ;

    public static EnumPosSceneType getEnum(Integer code) {
        for (EnumPosSceneType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumPosSceneType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
